%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

Name:		openstack-tripleo-puppet-elements
Summary:	OpenStack TripleO Puppet Elements for diskimage-builder
Version:    	8.0.2
Release:    	3%{?dist}
License:	ASL 2.0
Group:		System Environment/Base
URL:		https://wiki.openstack.org/wiki/TripleO
Source0: 	https://tarballs.openstack.org/tripleo-puppet-elements/tripleo-puppet-elements-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=8.0.2
Patch0001: 0001-Add-numactl-to-overcloud-image.patch
Patch0002: 0002-Install-tmpwatch-in-the-overcloud-base-image.patch
Patch0003: 0003-Remove-redis-from-controller-element.patch
Patch0004: 0004-Stop-and-disable-libvirtd-service-on-controller.patch

BuildArch:	noarch
BuildRequires:	python
BuildRequires:	python2-devel
BuildRequires:	python2-setuptools
BuildRequires:	python-d2to1
BuildRequires:	python2-pbr

%description
OpenStack TripleO Puppet Elements is a collection of elements for
diskimage-builder that can be used to build OpenStack images configured with
Puppet for the TripleO program.

%prep
%setup -q -n tripleo-puppet-elements-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

# remove .git-keep-empty files that get installed
find %{buildroot} -name .git-keep-empty | xargs rm -f

%files
%doc LICENSE
%doc README.md
%{python_sitelib}/tripleo_puppet_elements*
%{_datadir}/tripleo-puppet-elements

%changelog
* Wed Jul 17 2019 Rajesh Tailor <ratailor@redhat.com> 8.0.2-3
- Stop and disable libvirtd service on controller (rhbz#1692258)

* Tue Apr 02 2019 Jon Schlueter <jschluet@redhat.com> 8.0.2-2
- Add numactl to overcloud image
- Update to 8.0.2 (rhbz#1695352)

* Tue Apr 02 2019 Cédric Jeanneret <cjeanner@redhat.com> 8.0.1-3
- Install tmpwatch in the overcloud base image (rhbz#1679878)

* Mon Jan 28 2019 Steve Linabery <slinaber@redhat.com> 8.0.1-2
- [queens-only] include ansible-role-redhat-subscription in base image
- import zuul job settings from project-config
- Update test-requirements.txt

* Mon Jul 23 2018 Jon Schlueter <jschluet@redhat.com> 8.0.1-1
- Update to 8.0.1

* Tue Apr 24 2018 Jon Schlueter <jschluet@redhat.com> 8.0.0-2
- Remove heat-api-cloudwatch from package install

* Tue Mar 13 2018 RDO <dev@lists.rdoproject.org> 8.0.0-1
- Update to 8.0.0

* Thu Mar 08 2018 RDO <dev@lists.rdoproject.org> 8.0.0-0.1.0rc1
- Update to 8.0.0.0rc1

